Skip to main content
GET
List Kamino yield transactions

Authorizations

Authorization
string
header
required

User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.

Query Parameters

walletAddress
string
required

Solana public key (base58).

Required string length: 32 - 44
Pattern: ^[1-9A-HJ-NP-Za-km-z]+$
Example:

"8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj"

vaultId
string

Solana public key (base58).

Required string length: 32 - 44
Pattern: ^[1-9A-HJ-NP-Za-km-z]+$
Example:

"8sLbNZoA1cfnvMJLPfp98ZLAnFSYCFApfJKMbiXNLwxj"

asset
enum<string>
default:USDC

Deposit asset to filter by. Only USDC is currently supported.

Available options:
USDC
includeUnlisted
enum<string>
Available options:
true,
false

Response

Paginated Kamino yield transactions.

Paginated Kamino yield transactions.

data
object[]
required
hasMore
boolean
required

Whether more results are available. Always false today.

Example:

false

nextCursor
string | null
required

Opaque pagination cursor. Always null today.